Bug 249480 - multimedia/playerctl: Update to v2.3.1
Summary: multimedia/playerctl: Update to v2.3.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://github.com/altdesktop/playerc...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-09-20 11:03 UTC by Aaron LI
Modified: 2021-02-14 05:15 UTC (History)
2 users (show)

See Also:


Attachments
Update multimedia/playerctl from v2.1.1 to v2.2.1 (2.03 KB, patch)
2020-09-20 11:03 UTC, Aaron LI
no flags Details | Diff
multimedia/playerctl: Update to version 2.3.1 (3.47 KB, patch)
2020-12-20 08:43 UTC, Aaron LI
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Aaron LI 2020-09-20 11:03:26 UTC
Created attachment 218106 [details]
Update multimedia/playerctl from v2.1.1 to v2.2.1

This patch updates the multimedia/playerctl port the latest release v2.2.1.
Comment 1 Bugzilla Automation freebsd_committer 2020-09-20 11:03:26 UTC
Maintainer informed via mail
Comment 2 Automation User 2020-09-20 11:22:53 UTC
Build info is available at https://gitlab.com/swills/freebsd-ports/pipelines/192140521
Comment 3 Daniel Engberg freebsd_committer 2020-09-20 19:18:53 UTC
Please use upstream release archive
https://github.com/altdesktop/playerctl/releases/tag/v2.2.1

Does it build using Poudriere?

Best regards,
Daniel
Comment 4 Daniel Engberg freebsd_committer 2020-09-20 20:55:23 UTC
Nevermind about Poudriere, I missed https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=249480#c2
Comment 5 Daniel Engberg freebsd_committer 2020-12-13 10:20:14 UTC
Upstream is at 2.3.1
https://github.com/altdesktop/playerctl/releases
Comment 6 Aaron LI 2020-12-14 01:01:07 UTC
(In reply to daniel.engberg.lists from comment #5)

Yeah, a new version has been released.  I'll update this submit later.

Regards,
Aaron
Comment 7 Aaron LI 2020-12-20 08:43:24 UTC
Created attachment 220736 [details]
multimedia/playerctl: Update to version 2.3.1
Comment 8 commit-hook freebsd_committer 2021-02-10 17:54:22 UTC
A commit references this bug:

Author: tcberner
Date: Wed Feb 10 17:53:50 UTC 2021
New revision: 564890
URL: https://svnweb.freebsd.org/changeset/ports/564890

Log:
  multimedia/playerctl: update to 2.3.1

  Changelog:
  	https://github.com/altdesktop/playerctl/releases/tag/v2.3.1

  PR:		 249480
  Submitted by:	Aaron LI <aly@aaronly.me>
  Approved by:	 daniel.engberg.lists@pyret.net (maintainer)

Changes:
  head/multimedia/playerctl/Makefile
  head/multimedia/playerctl/distinfo
  head/multimedia/playerctl/pkg-plist
Comment 9 Tobias C. Berner freebsd_committer 2021-02-10 17:54:55 UTC
Thanks, Committed.

Please consider opening a follow up to rename the DOC option to DOCS 


mfg Tobias
Comment 10 Daniel Engberg freebsd_committer 2021-02-10 18:02:58 UTC
Just to clarify, you're the maintainer Aaron so disregard the incorrect commit message. An honest mistake as I just pointed tcberner@ to your PR. :-)
Comment 11 Aaron LI 2021-02-11 06:25:54 UTC
(In reply to daniel.engberg.lists from comment #10)

Hi Daniel, no problem.  Thank you for the help.

Hi Tobias, thank you for handling this update.  I'll change the DOC option to DOCS later.

Cheers,
Aaron